<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en">
<!-- Source/Synopsis/TypeAnalysis/Kit.hh.html -->
<!-- this view was generated by Source -->
<head>
<meta content="text/html; charset=iso-8859-1" http-equiv="Content-Type"/>
<title >Synopsis - Synopsis/TypeAnalysis/Kit.hh</title>
<link href="../../../style.css" type="text/css" rel="stylesheet" />
</head>
<body class="Source">
<div class="navigation">
<span class="normal"><a href="../../../Scopes/global.html" >Global Namespace</a></span>
<span class="normal"><a href="../../../InheritanceTree.html" >Inheritance Tree</a></span>
<span class="normal"><a href="../../../InheritanceGraph.html" >Inheritance Graph</a></span>
<span class="normal"><a href="../../../NameIndex.html" >Name Index</a></span>
</div>
File: <b >Synopsis/TypeAnalysis/Kit.hh</b><pre class="sxr"><a id="line1"></a><span class="lineno"> 1</span><span class="line"><span class="comment">//</span></span>
<a id="line2"></a><span class="lineno"> 2</span><span class="line"><span class="comment">// Copyright (C) 2005 Stefan Seefeld</span></span>
<a id="line3"></a><span class="lineno"> 3</span><span class="line"><span class="comment">// All rights reserved.</span></span>
<a id="line4"></a><span class="lineno"> 4</span><span class="line"><span class="comment">// Licensed to the public under the terms of the GNU LGPL (&gt;= 2),</span></span>
<a id="line5"></a><span class="lineno"> 5</span><span class="line"><span class="comment">// see the file COPYING for details.</span></span>
<a id="line6"></a><span class="lineno"> 6</span><span class="line"><span class="comment">//</span></span>
<a id="line7"></a><span class="lineno"> 7</span><span class="line">#ifndef Synopsis_TypeAnalysis_Kit_hh_</span>
<a id="line8"></a><span class="lineno"> 8</span><span class="line">#define Synopsis_TypeAnalysis_Kit_hh_</span>
<a id="line9"></a><span class="lineno"> 9</span>
<a id="line10"></a><span class="lineno">10</span><span class="line">#include &lt;Synopsis/TypeAnalysis/Type.hh&gt;</span>
<a id="line11"></a><span class="lineno">11</span>
<a id="line12"></a><span class="lineno">12</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis.html" title="namespace Synopsis">Synopsis</a></span>
<a id="line13"></a><span class="lineno">13</span><span class="line">{</span>
<a id="line14"></a><span class="lineno">14</span><span class="line"><span class="keyword">namespace</span> <a href="../../../Scopes/Synopsis/TypeAnalysis.html" title="namespace Synopsis::TypeAnalysis">TypeAnalysis</a></span>
<a id="line15"></a><span class="lineno">15</span><span class="line">{</span>
<a id="line16"></a><span class="lineno">16</span>
<a id="line17"></a><span class="lineno">17</span><span class="line"><span class="comment">//. creates and remembers declared types.</span></span>
<a id="line18"></a><span class="lineno">18</span><span class="line"><span class="keyword">class</span> <a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html" title="class Synopsis::TypeAnalysis::Kit">Kit</a></span>
<a id="line19"></a><span class="lineno">19</span><span class="line">{</span>
<a id="line20"></a><span class="lineno">20</span><span class="line"><span class="keyword">public</span>:</span>
<a id="line21"></a><span class="lineno">21</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#Kit_l_r" title="member function Synopsis::TypeAnalysis::Kit::Kit()">Kit</a>();</span>
<a id="line22"></a><span class="lineno">22</span>
<a id="line23"></a><span class="lineno">23</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="" title="member function Synopsis::TypeAnalysis::Kit::builtin(const std::string&amp;)">builtin</a>(<a href="" title="typedef std::string">std::string const</a> &amp;name);</span>
<a id="line24"></a><span class="lineno">24</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="" title="member function Synopsis::TypeAnalysis::Kit::enum_(const std::string&amp;)">enum_</a>(<a href="" title="typedef std::string">std::string const</a> &amp;name);</span>
<a id="line25"></a><span class="lineno">25</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="" title="member function Synopsis::TypeAnalysis::Kit::class_(const std::string&amp;)">class_</a>(<a href="" title="typedef std::string">std::string const</a> &amp;name);</span>
<a id="line26"></a><span class="lineno">26</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="" title="member function Synopsis::TypeAnalysis::Kit::union_(const std::string&amp;)">union_</a>(<a href="" title="typedef std::string">std::string const</a> &amp;name);</span>
<a id="line27"></a><span class="lineno">27</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_lconst.Type_S_r" title="member function Synopsis::TypeAnalysis::Kit::pointer(const Type*)">pointer</a>(<a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *type);</span>
<a id="line28"></a><span class="lineno">28</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#reference_lconst.Type_S_r" title="member function Synopsis::TypeAnalysis::Kit::reference(const Type*)">reference</a>(<a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *type);</span>
<a id="line29"></a><span class="lineno">29</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#array_lconst.Type_S_r" title="member function Synopsis::TypeAnalysis::Kit::array(const Type*)">array</a>(<a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *type);</span>
<a id="line30"></a><span class="lineno">30</span><span class="line">  <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *<a href="../../../Scopes/Synopsis/TypeAnalysis/Kit.html#pointer_to_member_lconst.Type_S_cconst.Type_S_r" title="member function Synopsis::TypeAnalysis::Kit::pointer_to_member(const Type*,const Type*)">pointer_to_member</a>(<a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *container, <a href="../../../Scopes/Synopsis/TypeAnalysis/Type.html" title="class Synopsis::TypeAnalysis::Type">Type const</a> *member);</span>
<a id="line31"></a><span class="lineno">31</span><span class="line"><span class="keyword">private</span>:</span>
<a id="line32"></a><span class="lineno">32</span><span class="line">};</span>
<a id="line33"></a><span class="lineno">33</span>
<a id="line34"></a><span class="lineno">34</span><span class="line">}</span>
<a id="line35"></a><span class="lineno">35</span><span class="line">}</span>
<a id="line36"></a><span class="lineno">36</span>
<a id="line37"></a><span class="lineno">37</span><span class="line">#endif</span>
</pre>
<div class="logo">Generated on Thu Apr 16 16:28:03 2009 by 
<br/>
<a href="http://synopsis.fresco.org" target="_blank"><img src="../../../synopsis.png" alt="logo"/> synopsis</a> (version devel)</div>
</body>
</html>
